# Get loan period by id

Returns a single loan period

Endpoint: GET /people/{personId}/loans/{loanId}/periods/{loanPeriodId}
Version: 2023-11-29
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

  - `loanPeriodId` (string, required)
    The identifier of the period.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.dueDate` (string)
    The period's payment due date in the product timezone.

  - `data.endDate` (string)
    The period end date in the product timezone. The end date is inclusive.

  - `data.id` (string)
    The period identifier.

  - `data.startDate` (string)
    The period start date in the product timezone. The start date is inclusive.

  - `data.statementDate` (string)
    The date when a statement for the period was created or should be created in the future.


